View all domains (main domain, addon domains, parked domains, and subdomains) associated with a specific hosting account. This is useful for getting an overview of your websites and their associated domains.
path.accountId accountId integer · min: 1 required
Example: 20000 Unique account identifier
Accept Example Content-Type Example data object required data.accountId string required
· Example: 20000 data.cpanelUsername string required
· Example: abcde data.domains object required data.domains.addon_domains array<string> required
· Example: ["example.com","example.com"] data.domains.main_domain string required
· Example: example.com data.domains.parked_domains array<object> required
· Example: [] data.domains.sub_domains array<string>
· Example: ["example.com"] data.success boolean
· Example: true True for successful responses.
requestId string required
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
success boolean required
· Example: true True for successful responses.
timestamp string
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
code string required
· Example: UNAUTHORIZED Machine-readable error code.
error string required
· Example: Unauthorized HTTP status title (e.g. 'Bad Request').
message string required
· Example: Authentication required Human-readable message.
requestId string
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
timestamp string
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
https://cloud.hostup.se/api/hosting/{accountId}/domains curl -X GET "https://cloud.hostup.se/api/hosting/20000/domains" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" {
"success": true,
"timestamp": "2026-02-10T00:00:00.000Z",
"requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
"data": {
"success": true,
"accountId": "20000",
"cpanelUsername": "abcde",
"domains": {
"addon_domains": [
"example.com",
"example.com"
],
"sub_domains": [
"example.com"
],
"parked_domains": [],
"main_domain": "example.com"
}
}
}